Skip to content
Compare
Choose a tag to compare

6.1.1

@big-guy big-guy released this
· 22335 commits to release since this release
a8c3750
Compare
Choose a tag to compare

This is a patch release for Gradle 6.1.

This fixes several critical bugs in Gradle 6.1:

  • Plugins using kotlin-dsl and compiled with 6.1 are incompatible with Gradle 6.0 #11947
  • Missing fixed issues from Gradle 6.1 release notes #11954
  • Memory regression when resolving large artifacts while computing checksums #11966
  • Gradle 6.1 generates an empty .gradle and gradle directories on each execution in subproject directories #11971

All issues fixed

We recommend that you use Gradle 6.1.1 over the initial release of Gradle 6.1.

Read the full release notes

Upgrade Instructions

Switch your build to use Gradle 6.1.1 by updating your wrapper:

./gradlew wrapper --gradle-version=6.1.1

See the Gradle 6.x upgrade guide to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.1.x.

Reporting Problems

If you find a problem with this release, please file a bug on GitHub Issues adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the forum.